{% extends 'partials/base.html.twig' %}
{% set about = pages.find("/fig-festival") %}
{% set path = (page.parent.slug != "historique") ? "" : "../" %}
{% block body %}
<main>
	<section id="poster">
		<section class="resources">
			{% for resource in page.children %}
			<div class="resource {{ resource.template }} {{ resource.header.contributor|hyphenize }}" id="{{ resource.slug }}">
				<header>
					<h2>{{ resource.header.title }}</h2>
					{% if resource.header.type or resource.header.year or resource.header.url or resource.header.authors %}
						<ul class="general">
							{% if resource.header.type %}<li class="type">{{ resource.header.type }}</li>{% endif %}
							{% if resource.header.year %}<li class="year">{{ resource.header.year }}</li>{% endif %}
							{% if resource.header.url %}<li class="url"><a href="{{ resource.header.url }}">{{ resource.header.url }}</a></li>{% endif %}
							{% if resource.header.authors %}
								<ul class="authors">
									{% for author in resource.header.authors %}
										<li><a href="{{ author.url }}">{{ author.name }}</a></li>
									{% endfor %}
								</ul>
							{% endif %}
						</ul>
					{% endif %}
				</header>
				{% if resource.header.images %}
				<div class="images">
					{% for image in resource.header.images %}
						<div class="image">
							{% set imgPath = (page.parent.route == config.plugins.padtocss.historyRoute) ? "../user/pages/" ~ page.parent.folder  ~ "/"  ~ page.folder  ~ "/"  ~ resource.folder  ~ "/"  ~ image.name : "user/pages/" ~ page.folder  ~ "/"  ~ resource.folder  ~ "/"  ~ image.name  %}
							<img src="{{ imgPath }}">
						</div>
					{% endfor %}
				</div>
				{% endif %}
			</div>
			{% endfor %}
		</section>
		<section id="colophon">
			<h1>{{ about.header.title }}</h1>
			<h2>{{ about.header.date|date('d.m.y') }}</h2>
			<h3>{{ about.header.town|trim }}, {{ about.header.countryCode }}</h3>
			<p>Avec {{ about.header.participants }}</p>
		</section>
	</section>
	{% if page.home %}
	<section id="pad">
		<iframe name="embed_readwrite" src="{{ config.plugins.padtocss.padUrl }}?showControls=true&showChat=false&showLineNumbers=true&useMonospaceFont=true"></iframe>
	</section>
	<section id="buttons">
		{% if config.plugins.padtocss.historyMode %}
			<div class="button" id="backup">Back Up</div>
			<form method="POST" action="{{ page.url }}{{ config.plugins.padtocss.historyRoute }}" class="hidden">
				<div>
					<div>
						<label for="person">Person</label>
						<input type="text" name="person" id="person">
					</div>
					<div>
						<label for="person">Commit</label>
						<textarea name="commit" id="commit"></textarea>
					</div>
				</div>
				<input type="number" name="timestamp" value="{{ 'now'|date('U') }}" class="hidden">
				<input type="submit" class="button" value="Save" id="save">
			</form>
		{% endif %}
		<div class="button" id="print">Print</div>
		<div class="button" id="refresh">Refresh</div>
	</section>
	{% endif %}
</main>
{% endblock %}